#include <iostream>;
#include <iomanip>;
#include <vector>;
#include <map>;
#include <stack>;
#include <cstdio>
#include <cstring>;
#include <algorithm>;
using namespace std;
int n,k,x;
int main(){
    cin>>n>>k>>x;
    cout<<-1
return 0;
}